// Navigation

$('.p-navEl').each(function(){

	var wnavEl = $(this).outerWidth();
	
	$(this).children('.menu').addClass('menu-navEL');

	if ( $("html").attr("dir") === 'RTL' )
	{
		$(this).children('.menu').addClass('RTL');
		$(this).children('.RTL').css({'margin-right': wnavEl/2});
	} else if ( $("html").attr("dir") === 'LTR' )
	{
		$(this).children('.menu').addClass('LTR');
		$(this).children('.LTR').css({'margin-left': wnavEl/2});
	}
});

// Node

$(document).ready(function(){
	$('.block--category .block-body').each(function(){

			var nodeNum = $(this).children().length;
			if(nodeNum == 1)
			{
				if(!$(this).hasClass('one-column-node'))
				{
					$(this).addClass('one-column-node');
				}
			}
			if(nodeNum == 2 || nodeNum == 4)
			{
				if(!$(this).hasClass('two-column-node'))
				{
					$(this).addClass('two-column-node');
				}
			}
			if(nodeNum == 3 || nodeNum >= 5)
			{
				if(!$(this).hasClass('three-column-node'))
				{
					$(this).addClass('three-column-node');
				}
			}
	});
	

	$('.node').parent('.block-body').each(function(){

		if ($(window).width() > 650)
		{
			if(!$(this).hasClass('two-column-node') && !$(this).hasClass('three-column-node') && !$(this).hasClass('one-column-node'))
			{
				$(this).addClass('padding-left-right');
			}
		}
			
	});
});

// Navigation

$('.p-nav').after('<div class="p-nav--border-bottom"><div class="p-nav--border-bottom--inner"></div></div>');

// Tooltip

$('.block--category .block-header').each(function () {

	var wh = $(this).width();
	var wc = $(this).children('a').width();
	var hh = $(this).outerHeight();

	if ( $("html").attr("dir") === 'RTL' )
	{
		$(this).children('.block-tooltip').children('.block-desc').css({'right': wc/2 + wh/2 + 30});
	} else if ( $("html").attr("dir") === 'LTR' )
	{
		$(this).children('.block-tooltip').children('.block-desc').css({'left': wc/2 + wh/2 + 30 });
	}

	$(".block-header > a").mouseenter(function(){
		$(this).next().children().show();
	});
	$(".block-header > a").mouseleave(function(){
		$(this).next().children().hide();
	});
});

// List

$('.structItemContainer').each(function () {

	if ( $("body").attr("data-template") === 'forum_view' )
	{
		$(this).prepend('<div class="structItem structItemHeader"><div class="structItem-cell structItem-cell--main">title</div><div class="structItem-cell structItem-cell--meta"><dl class="pairs pairs--justified"><dd>Replies</dd></dl><dl class="pairs pairs--justified"><dd>view</dd></dl></div><div class="structItem-cell structItem-cell--latest">start date</div><div class="structItem-cell structItem-cell--icon">poster by</div></div>');
		if ( $(this).has('form.structItem'))
		{
			$('.structItem.structItemHeader').insertAfter('form.structItem');
		}
	}
});

// Block icons

$('.block--category .block-header').prepend('<div class="block-icons"><i></i></div>');

$('.block-minorHeader').prepend('<div class="block-icons"><i></i></div>');

// Block collapse

$('.block--category .block-header').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.block-minorHeader').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.bbWrapper > .bbCodeBlock > .bbCodeBlock-title').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.message-attachments > .block-textHeader').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.block-control--collapse').click(function(e) {
	e.preventDefault();
	var notthis = $('.active').not(this);
 	$(this).parent().toggleClass('active').nextUntil('.block-minorHeader').slideToggle("fast");
});

// Sidebar-control

var count = 0;
var w2 = $('.p-body-main').width() - 40;
var w3 = $('.p-body-sidebar').width();
$(".block-control--sideBar").click(function() {
	count++;
	var isEven = function(someNumber) {
		return (someNumber % 2 === 0) ? true : false;
	};
	
	if (isEven(count) === false) {
		$(".p-body-content").animate({paddingRight: 0, width: w2}, 500);
		$(".p-body-sidebar").animate({opacity: 0}, 500);
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'none');
		}, 500);
	}

	else if (isEven(count) === true) {
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'table-cell');
		}, 0);
		$(".p-body-sidebar").animate({opacity: 1}, 500);
		$(".p-body-content").animate({paddingRight: 20, width: w2 - w3}, 500);
	}
});

/* Footer */

$('.p-footer').append('<div class="p-footer-bottom"><div class="p-footer-inner"></div></div>');
$('.p-footer-debug').appendTo($('.p-footer-bottom > .p-footer-inner'));

$('.p-footer').each(function() {
	if ( $('.p-footer').has('.p-footer-top').length && !$('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-top').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else if ( $('.p-footer').has('.p-footer-top').length && $('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-middle').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else {
		$(this).children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	}
});

$('.BRCopyright').css({'float': 'left', 'marginTop': 2, 'marginBottom': 2});

/* Footer -- End */

// Bonus

$('.button').closest('dl.formRow:not(.formSubmitRow, .formSubmitRow--sticky)').children('dd').addClass('formButtonGroup');

$(document).ready(function(){
	$('.message-attribution').each(function(){
		$(this).insertAfter($(this).siblings('.message-content'));
	});

	$('.message-attribution-main').each(function(){
		$(this).prependTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--internal'));
	});

	$('.message-attribution-opposite').each(function(){
		$(this).appendTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--external'));
	});
});